<?php

add_action('admin_menu', 'mumaraone_add_email_sender_menu');

function mumaraone_add_email_sender_menu() {
    add_submenu_page(
        'mumaraone-settings',
        'Send Email',
        'Send Email',
        'manage_options',
        'mumaraone-send-email',
        'mumaraone_send_email_page_html'
    );
}

function mumaraone_send_email_page_html() {
    if (isset($_POST['mumaraone_send_email'])) {
        $to      = sanitize_email($_POST['to']);
        $subject = sanitize_text_field($_POST['subject']);
        $message = wp_kses_post($_POST['message']);

        $attachments = [];

        if (!empty($_FILES['attachment']['tmp_name'])) {
            require_once ABSPATH . 'wp-admin/includes/file.php';

            $uploaded_file = wp_handle_upload($_FILES['attachment'], ['test_form' => false]);

            if (!isset($uploaded_file['error'])) {
                $attachments[] = $uploaded_file['file'];
            } else {
                echo '<div class="error"><p>Attachment upload failed: ' . esc_html($uploaded_file['error']) . '</p></div>';
            }
        }
        $sent = wp_mail($to, $subject, $message, [], $attachments);
        if ($sent)
            echo '<div class="updated"><p>Email has been processed.</p></div>';
         else
            echo '<div class="error"><p>Failed to send email.</p></div>';
    }
    ?>

    <div class="wrap">
        <h1>Send Email</h1>
        <form method="post" enctype="multipart/form-data">
            <table class="form-table">
                <tr>
                    <th>To</th>
                    <td><input type="email" name="to" required class="regular-text"></td>
                </tr>
                <tr>
                    <th>Subject</th>
                    <td><input type="text" name="subject" required class="regular-text"></td>
                </tr>
                <tr>
                    <th>Message</th>
                    <td><textarea name="message" rows="5" class="large-text"></textarea></td>
                </tr>
                <tr>
                    <th>Attachment</th>
                    <td><input type="file" name="attachment"></td>
                </tr>
            </table>
            <?php submit_button('Send Email', 'primary', 'mumaraone_send_email'); ?>
        </form>
    </div>

    <?php
}
