<?php
/*
Plugin Name: MumaraOne - SMTP Email Sender
Description: SMTP Email Sender with Email UI, Logging.
Version: 1.1
Author: Mumara
*/



if (!defined('ABSPATH')) exit;

define('MUMARAONE_PLUGIN_DIR', plugin_dir_path(__FILE__));


require_once MUMARAONE_PLUGIN_DIR . 'admin-page.php';
require_once MUMARAONE_PLUGIN_DIR . 'email-sender.php';
require_once MUMARAONE_PLUGIN_DIR . 'logger.php';
require_once MUMARAONE_PLUGIN_DIR . 'includes/MumaraOne.php';

add_filter('wp_mail', 'mumaraone_wp_mail_override');

function mumaraone_wp_mail_override($args) {

    $from_email = get_option('mumaraone_from_email');
    $from_name = get_option('mumaraone_from_name');
    $wpInfo = get_option('mumaraone_use_wp_from_info');
    if (!$wpInfo && !empty($args['headers'])) {
        $headers = is_array($args['headers']) ? $args['headers'] : explode("\n", $args['headers']);
        foreach ($headers as $header) {
            if (stripos($header, 'From:') === 0) {
                if (preg_match('/From:\s*(?:"?([^"]*)"?\s)?<(.+?)>/', $header, $matches)) {
                    if (!empty($matches[2])) $from_email = sanitize_email($matches[2]);
                    if (!empty($matches[1])) $from_name  = sanitize_text_field($matches[1]);
                }
            }
        }
    }
    $args['from_email'] = $from_email;
    $args['from_name']  = $from_name;
    $args['api_token'] = get_option('mumaraone_api_token');
    $sender = new \MumaraOne();
    $sender->sendMail($args);
}
add_filter('pre_wp_mail', function($null, $atts) {
    return true;
}, 10, 2);